Index: code/branches/FICN/src/orxonox/AIClass.h
===================================================================
--- code/branches/FICN/src/orxonox/AIClass.h	(revision 672)
+++ code/branches/FICN/src/orxonox/AIClass.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef AI_Class
-#define AI_Class
+#ifndef _AIClass_H__
+#define _AIClass_H__
 
 #include <Ogre.h>
@@ -8,7 +8,5 @@
 #include <iostream>
 
-
-#endif
-
+// FIXME: using namespace xy; in header files is a very bad idea..
 using namespace std;
 using namespace Ogre;
@@ -98,2 +96,4 @@
 
 };
+
+#endif /* _AIClass_H__ */
Index: code/branches/FICN/src/orxonox/Arrival.h
===================================================================
--- code/branches/FICN/src/orxonox/Arrival.h	(revision 672)
+++ code/branches/FICN/src/orxonox/Arrival.h	(revision 673)
@@ -3,6 +3,6 @@
 
 
-#ifndef Arrival_Class
-#define Arrical_Class
+#ifndef _Arrival_H__
+#define _Arrival_H__
 
 // #include <Ogre.h>
@@ -12,7 +12,5 @@
 #include <iostream>
 
-
-#endif
-
+// FIXME: using namspace xy; in header files is a bad idea
 using namespace std;
 using namespace Ogre;
@@ -87,2 +85,4 @@
   }
 }
+
+#endif /* _Arrival_H__ */
Index: code/branches/FICN/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 672)
+++ code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 673)
@@ -25,15 +25,15 @@
     objects/Ambient.cc
     objects/Skybox.cc
-    objects/SceneNode.cc
-    objects/Entity.cc
+#    objects/SceneNode.cc
+#    objects/Entity.cc
     objects/Camera.cc
 #    objects/SpaceshipSteeringObject.cc
     objects/Model.cc
     objects/Mesh.cc
-    objects/BaseEntity.cc
+#    objects/BaseEntity.cc
     objects/SpaceShip.cc
     objects/NPC.cc
     objects/BillboardSet.cc
-    objects/Light.cc
+#    objects/Light.cc
     objects/Projectile.cc
     objects/weapon_system/AmmunitionDump.cc
Index: code/branches/FICN/src/orxonox/Flocking.h
===================================================================
--- code/branches/FICN/src/orxonox/Flocking.h	(revision 672)
+++ code/branches/FICN/src/orxonox/Flocking.h	(revision 673)
@@ -2,6 +2,6 @@
 //Headerfile: Flocking.h
 
-#ifndef Flocking_Class
-#define Flocking_Class
+#ifndef _Flocking_H__
+#define _Flocking_H__
 
 // #include <Ogre.h>
@@ -11,6 +11,4 @@
 #include <iostream>
 
-
-#endif
 
 
@@ -142,2 +140,4 @@
   }
 };     //End of class Element
+
+#endif /* _Flocking_H__*/
Index: code/branches/FICN/src/orxonox/GraphicsEngine.h
===================================================================
--- code/branches/FICN/src/orxonox/GraphicsEngine.h	(revision 672)
+++ code/branches/FICN/src/orxonox/GraphicsEngine.h	(revision 673)
@@ -5,6 +5,6 @@
  */
 
-#ifndef GRAPHICS_ENGINE_H
-#define GRAPHICS_ENGINE_H
+#ifndef _GraphicsEngine_H__
+#define _GraphicsEngine_H__
 
 #include <OgreRoot.h>
@@ -40,4 +40,3 @@
 }
 
-#endif
-
+#endif /* _GraphicsEngine_H__ */
Index: code/branches/FICN/src/orxonox/InputManager.h
===================================================================
--- code/branches/FICN/src/orxonox/InputManager.h	(revision 672)
+++ code/branches/FICN/src/orxonox/InputManager.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef InputManager_H
-#define InputManager_H
+#ifndef _InputManager_H__
+#define _InputManager_H__
 
 #ifdef WIN32
@@ -89,3 +89,3 @@
     static InputManager *mInputManager;
 };
-#endif
+#endif /* _InputManager_H__ */
Index: code/branches/FICN/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.cc	(revision 672)
+++ code/branches/FICN/src/orxonox/Orxonox.cc	(revision 673)
@@ -49,4 +49,5 @@
 #include <string>
 #include <iostream>
+#include <exception>
 
 //***** ORXONOX ****
@@ -283,5 +284,5 @@
       COUT(3) << "Info: network framelistener added" << std::endl;
     }
-    catch(exception &e)
+    catch(std::exception &e)
     {
       COUT(1) << "Error: There was a problem initialising the server :(" << std::endl;
Index: code/branches/FICN/src/orxonox/Orxonox.h
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.h	(revision 672)
+++ code/branches/FICN/src/orxonox/Orxonox.h	(revision 673)
@@ -5,6 +5,6 @@
  */
 
-#ifndef ORXONOX_H
-#define ORXONOX_H
+#ifndef _Orxonox_H__
+#define _Orxonox_H__
 
 #include <OgrePrerequisites.h>
@@ -81,3 +81,3 @@
   };
 }
-#endif /* ORXONOX_H */
+#endif /* _Orxonox_H__ */
Index: code/branches/FICN/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/FICN/src/orxonox/OrxonoxPrereqs.h	(revision 672)
+++ code/branches/FICN/src/orxonox/OrxonoxPrereqs.h	(revision 673)
@@ -31,6 +31,6 @@
  */
 
-#ifndef ORXONOX_PREREQ_H
-#define ORXONOX_PREREQ_H
+#ifndef _OrxonoxPrereqs_H__
+#define _OrxonoxPrereqs_H__
 
 // hack for the usleep/Sleep problem
@@ -159,3 +159,3 @@
 }
 
-#endif /* ORXONOX_PREREQ_H */
+#endif /* _OrxonoxPrereqs_H__ */
Index: code/branches/FICN/src/orxonox/SpaceshipSteering.h
===================================================================
--- code/branches/FICN/src/orxonox/SpaceshipSteering.h	(revision 672)
+++ code/branches/FICN/src/orxonox/SpaceshipSteering.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef SPACESHIP_STEERING_H
-#define SPACESHIP_STEERING_H
+#ifndef _SpaceShipSteering_H__
+#define _SpaceShipSteering_H__
 
 #include "OgrePrerequisites.h"
@@ -60,3 +60,3 @@
 
 
-#endif
+#endif /* _SpaceShipSteering_H__ */
Index: code/branches/FICN/src/orxonox/core/ArgReader.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ArgReader.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/ArgReader.h	(revision 673)
@@ -5,6 +5,6 @@
  */
 
-#ifndef __ARGREADER_CLASS__
-#define __ARGREADER_CLASS__
+#ifndef _ArgReader_H__
+#define _ArgReader_H__
 
 #include <string>
@@ -31,3 +31,3 @@
 
 }
-#endif
+#endif /* _ArgReader_H__ */
Index: code/branches/FICN/src/orxonox/core/ClassFactory.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ClassFactory.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/ClassFactory.h	(revision 673)
@@ -95,3 +95,3 @@
 }
 
-#endif
+#endif /* _ClassFactory_H__ */
Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 673)
@@ -135,3 +135,3 @@
 }
 
-#endif
+#endif /* _ConfigValueContainer_H__ */
Index: code/branches/FICN/src/orxonox/core/DebugLevel.h
===================================================================
--- code/branches/FICN/src/orxonox/core/DebugLevel.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/DebugLevel.h	(revision 673)
@@ -19,3 +19,3 @@
 }
 
-#endif
+#endif /* _DebugLevel_H__ */
Index: code/branches/FICN/src/orxonox/core/Error.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Error.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/Error.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef __ERROR_CLASS__
-#define __ERROR_CLASS__
+#ifndef _Error_H__
+#define _Error_H__
 
 #include <iostream>
@@ -18,3 +18,3 @@
 }
 
-#endif
+#endif /* _Error_H__ */
Index: code/branches/FICN/src/orxonox/core/Factory.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Factory.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/Factory.h	(revision 673)
@@ -61,3 +61,3 @@
 }
 
-#endif
+#endif /* _Factory_H__ */
Index: code/branches/FICN/src/orxonox/core/Identifier.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Identifier.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/Identifier.h	(revision 673)
@@ -370,3 +370,3 @@
 }
 
-#endif
+#endif /* _Identifier_H__ */
Index: code/branches/FICN/src/orxonox/core/IdentifierList.h
===================================================================
--- code/branches/FICN/src/orxonox/core/IdentifierList.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/IdentifierList.h	(revision 673)
@@ -41,3 +41,3 @@
 }
 
-#endif
+#endif /* _IdentifierList_H__ */
Index: code/branches/FICN/src/orxonox/core/Iterator.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Iterator.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/Iterator.h	(revision 673)
@@ -161,3 +161,3 @@
 }
 
-#endif
+#endif /* _Iterator_H__ */
Index: code/branches/FICN/src/orxonox/core/MetaObjectList.h
===================================================================
--- code/branches/FICN/src/orxonox/core/MetaObjectList.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/MetaObjectList.h	(revision 673)
@@ -109,3 +109,3 @@
 }
 
-#endif
+#endif /* _MetaObjectList_H__ */
Index: code/branches/FICN/src/orxonox/core/ObjectList.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ObjectList.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/ObjectList.h	(revision 673)
@@ -264,3 +264,3 @@
 }
 
-#endif
+#endif /* _ObjectList_H__ */
Index: code/branches/FICN/src/orxonox/core/OrxonoxClass.h
===================================================================
--- code/branches/FICN/src/orxonox/core/OrxonoxClass.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/OrxonoxClass.h	(revision 673)
@@ -131,3 +131,3 @@
 }
 
-#endif
+#endif /* _OrxonoxClass_H__ */
Index: code/branches/FICN/src/orxonox/core/SignalHandler.h
===================================================================
--- code/branches/FICN/src/orxonox/core/SignalHandler.h	(revision 672)
+++ code/branches/FICN/src/orxonox/core/SignalHandler.h	(revision 673)
@@ -72,3 +72,2 @@
 
 #endif /* _SignalHandler_H__ */
-
Index: code/branches/FICN/src/orxonox/hud/HUD.h
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.h	(revision 672)
+++ code/branches/FICN/src/orxonox/hud/HUD.h	(revision 673)
@@ -26,6 +26,6 @@
  */
 
-#ifndef MODULE_HUD_H
-#define MODULE_HUD_H
+#ifndef _HUD_H__
+#define _HUD_H__
 
 #include <OgrePrerequisites.h>
@@ -108,3 +108,3 @@
 }
 
-#endif
+#endif /* _HUD_H__ */
Index: code/branches/FICN/src/orxonox/objects/Ambient.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef _OBJECT_AMBIENT_H__
-#define _OBJECT_AMBIENT_H__
+#ifndef _Ambient_H__
+#define _Ambient_H__
 
 #include "BaseObject.h"
@@ -22,3 +22,3 @@
 }
 
-#endif
+#endif /* _Ambient_H__ */
Index: code/branches/FICN/src/orxonox/objects/BaseEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseEntity.cc	(revision 672)
+++ 	(revision )
@@ -1,63 +1,0 @@
-#include <OgreSceneManager.h>
-#include <string>
-
-#include "../Orxonox.h"
-#include "../../tinyxml/tinyxml.h"
-#include "../../misc/Tokenizer.h"
-#include "../../misc/String2Number.h"
-
-#include "BaseEntity.h"
-
-namespace orxonox
-{
-    CreateFactory(BaseEntity);
-
-    BaseEntity::BaseEntity()
-    {
-        RegisterObject(BaseEntity);
-        valid=false;
-    }
-
-    BaseEntity::~BaseEntity()
-    {
-    }
-
-    void BaseEntity::loadParams(TiXmlElement* xmlElem)
-    {
-    	if (xmlElem->Attribute("name") && xmlElem->Attribute("src"))
-    	{
-        // save params
-        name_ = xmlElem->Attribute("name");
-        mesh_ = xmlElem->Attribute("src");
-        node_ = xmlElem->Attribute("node");
-
-        // register variables to be synchronised
-        registerAllVariables();
-        valid=true;
-        create();
-
-	    	std::cout << "Loader: Created entity "<< name_ <<" with source " << mesh_  << " at node " << node_  << std::endl << std::endl;
-    	}
-   }
-
-   void BaseEntity::registerAllVariables(){
-     WorldEntity::registerAllVariables();
-     registerVar(&name_, name_.length()+1, network::STRING);
-     registerVar(&mesh_, mesh_.length()+1, network::STRING);
-     registerVar(&node_, node_.length()+1, network::STRING);
-   }
-
-   bool BaseEntity::create(){
-     if(!valid)
-       return false;
-     // get the node
-     this->setNode(Orxonox::getSingleton()->getSceneManager()->getSceneNode(node_));
-     Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-
-     Ogre::Entity* entity = mgr->createEntity(name_, mesh_);
-
-     //Ogre::MovableObject *ent = (Ogre::MovableObject *)entity;
-     getNode()->attachObject(entity); // big problem here: sigsegv
-     return true;
-   }
-}
Index: code/branches/FICN/src/orxonox/objects/BaseEntity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseEntity.h	(revision 672)
+++ 	(revision )
@@ -1,31 +1,0 @@
-#ifndef _OBJECT_ENTITY_H__
-#define _OBJECT_ENTITY_H__
-
-#include "WorldEntity.h"
-#include <tinyxml/tinyxml.h>
-
-namespace orxonox
-{
-  class BaseEntity : public WorldEntity
-  {
-    public:
-      BaseEntity();
-      virtual ~BaseEntity();
-
-      
-      void loadParams(TiXmlElement* xmlElem);
-      bool create();
-    protected:
-      void registerAllVariables();
-    private:
-    // membervariables to be synchronised
-      std::string name_;
-      std::string mesh_;
-      std::string node_;
-    // other membervariables
-      //Ogre::SceneNode *sceneNode_;
-      bool valid;
-  };
-}
-
-#endif
Index: code/branches/FICN/src/orxonox/objects/BaseObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 673)
@@ -59,5 +59,5 @@
         if (xmlElem->Attribute("name"))
         {
-            this->setName(xmlElem->Attribute("mesh"));
+            this->setName(xmlElem->Attribute("name"));
         }
     }
Index: code/branches/FICN/src/orxonox/objects/BaseObject.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseObject.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/BaseObject.h	(revision 673)
@@ -24,3 +24,3 @@
 }
 
-#endif
+#endif /* _BaseObject_H__ */
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 673)
@@ -1,8 +1,8 @@
+#ifndef _BillboardSet_H__
+#define _BillboardSet_H__
+
 #include <string>
 
 #include "OgreBillboardSet.h"
-
-#ifndef _BillboardSet_H__
-#define _BillboardSet_H__
 
 namespace orxonox
@@ -27,3 +27,3 @@
 }
 
-#endif
+#endif /* _BillboardSet_H__ */
Index: code/branches/FICN/src/orxonox/objects/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 673)
@@ -9,7 +9,7 @@
   Ambient.cc
   Skybox.cc
-  SceneNode.cc
+#  SceneNode.cc
   BaseEntity.cc
-  Entity.cc
+#  Entity.cc
   Camera.cc
 #  SpaceshipSteeringObject.cc
@@ -19,5 +19,5 @@
   NPC.cc
   BillboardSet.cc
-  Light.cc
+#  Light.cc
   Projectile.cc
   weapon_system/AmmunitionDump.cc
Index: code/branches/FICN/src/orxonox/objects/Camera.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Camera.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef _OBJECT_CAMERA_H__
-#define _OBJECT_CAMERA_H__
+#ifndef _Camera_H__
+#define _Camera_H__
 
 #include "BaseObject.h"
@@ -22,3 +22,3 @@
 }
 
-#endif
+#endif /* _Camera_H__ */
Index: code/branches/FICN/src/orxonox/objects/Entity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Entity.cc	(revision 672)
+++ 	(revision )
@@ -1,44 +1,0 @@
-#include <OgreSceneManager.h>
-#include <string>
-
-#include "../Orxonox.h"
-#include "../../tinyxml/tinyxml.h"
-#include "../../misc/Tokenizer.h"
-#include "../../misc/String2Number.h"
-#include "../core/Debug.h"
-
-#include "Entity.h"
-
-namespace orxonox
-{
-    CreateFactory(Entity);
-
-    Entity::Entity()
-    {
-        RegisterObject(Entity);
-    }
-
-    Entity::~Entity()
-    {
-    }
-
-    void Entity::loadParams(TiXmlElement* xmlElem)
-    {
-    	Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-
-    	if (xmlElem->Attribute("name") && xmlElem->Attribute("src") && xmlElem->Attribute("node"))
-    	{
-    		std::string name = xmlElem->Attribute("name");
-    		std::string src = xmlElem->Attribute("src");
-    		std::string node = xmlElem->Attribute("node");
-
-			Ogre::Entity* entity = mgr->createEntity(name, src);
-
-		    Ogre::SceneNode* sceneNode = (Ogre::SceneNode*)mgr->getRootSceneNode()->getChild(node);
-		    sceneNode->attachObject((Ogre::MovableObject*)entity);
-
-	    	COUT(4) << "Loader: Created entity "<< name <<" with source " << src  << " at node " << node  << std::endl << std::endl;
-    	}
-   }
-
-}
Index: code/branches/FICN/src/orxonox/objects/Entity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Entity.h	(revision 672)
+++ 	(revision )
@@ -1,24 +1,0 @@
-#ifndef _OBJECT_ENTITY_H__
-#define _OBJECT_ENTITY_H__
-
-#include "BaseObject.h"
-#include "../../tinyxml/tinyxml.h"
-#include "network/Synchronisable.h"
-
-namespace orxonox
-{
-    class Entity : public BaseObject
-    {
-        public:
-            Entity();
-            virtual ~Entity();
-
-            
-            void loadParams(TiXmlElement* xmlElem);
-
-        private:
-
-    };
-}
-
-#endif
Index: code/branches/FICN/src/orxonox/objects/Explosion.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Explosion.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Explosion.h	(revision 673)
@@ -22,3 +22,3 @@
 }
 
-#endif
+#endif /* _Explosion_H__ */
Index: code/branches/FICN/src/orxonox/objects/Fighter.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Fighter.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Fighter.h	(revision 673)
@@ -92,3 +92,3 @@
 }
 
-#endif
+#endif /* _Fighter_H__ */
Index: code/branches/FICN/src/orxonox/objects/Light.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Light.cc	(revision 672)
+++ 	(revision )
@@ -1,57 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#include <sstream>
-
-#include "Light.h"
-#include "../Orxonox.h"
-
-namespace orxonox
-{
-    unsigned int Light::lightCounter_s = 0;
-
-    Light::Light()
-    {
-        this->light_ = 0;
-    }
-
-    void Light::setLight(Ogre::Light::LightTypes type, const Ogre::ColourValue& diffuse, const Ogre::ColourValue& specular)
-    {
-        std::ostringstream name;
-        name << (Light::lightCounter_s++);
-        this->light_ = Orxonox::getSingleton()->getSceneManager()->createLight("Light" + name.str());
-        this->light_->setType(type);
-        this->light_->setDiffuseColour(diffuse);
-        this->light_->setSpecularColour(specular);
-    }
-
-    Light::~Light()
-    {
-        if (this->light_)
-            Orxonox::getSingleton()->getSceneManager()->destroyLight(this->light_);
-    }
-}
Index: code/branches/FICN/src/orxonox/objects/Light.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Light.h	(revision 672)
+++ 	(revision )
@@ -1,30 +1,0 @@
-#include <string>
-
-#include "OgreLight.h"
-#include "OgreColourValue.h"
-
-#ifndef _Light_H__
-#define _Light_H__
-
-namespace orxonox
-{
-    class Light
-    {
-        public:
-            Light();
-            ~Light();
-            void setLight(Ogre::Light::LightTypes type = Ogre::Light::LT_POINT, const Ogre::ColourValue& diffuse = Ogre::ColourValue(1.0, 1.0, 1.0), const Ogre::ColourValue& specular = Ogre::ColourValue(1.0, 1.0, 1.0));
-
-            inline Ogre::Light* getLight()
-                { return this->light_; }
-
-            inline const std::string& getName() const
-                { return this->light_->getName(); }
-
-        private:
-            static unsigned int lightCounter_s;
-            Ogre::Light* light_;
-    };
-}
-
-#endif
Index: code/branches/FICN/src/orxonox/objects/Mesh.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Mesh.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Mesh.h	(revision 673)
@@ -1,8 +1,8 @@
+#ifndef _Mesh_H__
+#define _Mesh_H__
+
 #include <string>
 
 #include "OgreEntity.h"
-
-#ifndef _Mesh_H__
-#define _Mesh_H__
 
 namespace orxonox
@@ -27,3 +27,3 @@
 }
 
-#endif
+#endif /* _Mesh_H__ */
Index: code/branches/FICN/src/orxonox/objects/Model.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Model.h	(revision 673)
@@ -23,3 +23,3 @@
 }
 
-#endif
+#endif /* _Model_H__ */
Index: code/branches/FICN/src/orxonox/objects/NPC.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/NPC.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/NPC.h	(revision 673)
@@ -5,6 +5,6 @@
  */
 
-#ifndef MODULE_NPC_H
-#define MODULE_NPC_H
+#ifndef _NPC_H__
+#define _NPC_H__
 
 // includes
@@ -43,3 +43,3 @@
 
 }
-#endif
+#endif /* _NPC_H__ */
Index: code/branches/FICN/src/orxonox/objects/Projectile.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Projectile.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Projectile.h	(revision 673)
@@ -26,3 +26,3 @@
 }
 
-#endif
+#endif /* _Projectile_H__ */
Index: code/branches/FICN/src/orxonox/objects/SceneNode.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SceneNode.cc	(revision 672)
+++ 	(revision )
@@ -1,103 +1,0 @@
-#include <OgreSceneManager.h>
-#include <string>
-
-#include "../Orxonox.h"
-#include "../../tinyxml/tinyxml.h"
-#include "../../misc/Tokenizer.h"
-#include "../../misc/String2Number.h"
-#include "../core/Debug.h"
-
-#include "SceneNode.h"
-
-namespace orxonox
-{
-    CreateFactory(SceneNode);
-
-    SceneNode::SceneNode()
-    {
-        RegisterObject(SceneNode);
-    }
-
-    SceneNode::~SceneNode()
-    {
-    }
-
-    void SceneNode::loadParams(TiXmlElement* xmlElem)
-    {
-      if (xmlElem->Attribute("name") && xmlElem->Attribute("pos"))
-      {
-        name_ = xmlElem->Attribute("name");
-
-        std::vector<std::string> pos = tokenize(xmlElem->Attribute("pos"),",");
-        //float x, y, z_;
-         String2Number<float>(x_, pos[0]);
-        String2Number<float>(y_, pos[1]);
-        String2Number<float>(z_, pos[2]);
-
-        sx_ = 1; sy_ = 1; sz_ = 1;
-        if (xmlElem->Attribute("scale"))
-        {
-          pos = tokenize(xmlElem->Attribute("scale"),",");
-           String2Number<float>(sx_, pos[0]);
-          String2Number<float>(sy_, pos[1]);
-          String2Number<float>(sz_, pos[2]);
-        }
-        yaw_ = 0.0;
-        if (xmlElem->Attribute("yaw"))
-        {
-          String2Number<float>(yaw_,xmlElem->Attribute("yaw"));
-        }
-        pitch_ = 0.0;
-        if (xmlElem->Attribute("pitch"))
-        {
-          String2Number<float>(pitch_,xmlElem->Attribute("pitch"));
-        }
-        roll_ = 0.0;
-        if (xmlElem->Attribute("roll"))
-        {
-          String2Number<float>(roll_,xmlElem->Attribute("roll"));
-        }
-
-        if(xmlElem->Attribute("node"))
-          nodeName_ = xmlElem->Attribute("node");
-        else
-          nodeName_ = "";
-
-        create();
-
-        COUT(4) << "Loader: loaded node "<< name_ <<" : "<< x_ <<" " << y_ << " " << z_ << std::endl << std::endl;
-      }
-   }
-
-   void SceneNode::registerAllVariables(){
-     registerVar(&x_, sizeof(float), network::DATA);
-     registerVar(&y_, sizeof(float), network::DATA);
-     registerVar(&z_, sizeof(float), network::DATA);
-     registerVar(&sx_, sizeof(float), network::DATA);
-     registerVar(&sy_, sizeof(float), network::DATA);
-     registerVar(&sz_, sizeof(float), network::DATA);
-     registerVar(&yaw_, sizeof(float), network::DATA);
-     registerVar(&pitch_, sizeof(float), network::DATA);
-     registerVar(&roll_, sizeof(float), network::DATA);
-     registerVar(&name_, sizeof(float), network::STRING);
-     registerVar(&nodeName_, sizeof(float), network::STRING);
-   }
-
-   bool SceneNode::create(){
-     Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-
-     Ogre::SceneNode *parentNode;
-     if (nodeName_.compare("")!=0)
-       parentNode = mgr->getSceneNode(nodeName_);
-     else
-       parentNode = mgr->getRootSceneNode();
-
-     Ogre::SceneNode* node = parentNode->createChildSceneNode(name_, Vector3(x_,y_,z_));
-     node->scale(sx_,sy_,sz_);
-     node->yaw(Ogre::Degree(yaw_));
-     node->pitch(Ogre::Degree(pitch_));
-     node->roll(Ogre::Degree(roll_));
-     return true;
-   }
-
-}
Index: code/branches/FICN/src/orxonox/objects/SceneNode.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/SceneNode.h	(revision 672)
+++ 	(revision )
@@ -1,31 +1,0 @@
-#ifndef _OBJECT_SCENENODE_H__
-#define _OBJECT_SCENENODE_H__
-
-#include "BaseObject.h"
-#include "../../tinyxml/tinyxml.h"
-#include "network/Synchronisable.h"
-
-namespace orxonox
-{
-    class SceneNode : public BaseObject, public network::Synchronisable
-    {
-        public:
-          SceneNode();
-          virtual ~SceneNode();
-
-            
-          void loadParams(TiXmlElement* xmlElem);
-          bool create();
-        protected:
-          void registerAllVariables();
-        private:
-          float x_, y_, z_;
-          float sx_, sy_, sz_;
-          float yaw_, pitch_, roll_;
-          std::string name_;
-          std::string nodeName_;
-
-    };
-}
-
-#endif
Index: code/branches/FICN/src/orxonox/objects/Skybox.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Skybox.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef _OBJECT_SKYBOX_H__
-#define _OBJECT_SKYBOX_H__
+#ifndef _Skybox_H__
+#define _Skybox_H__
 
 #include "BaseObject.h"
@@ -22,3 +22,3 @@
 }
 
-#endif
+#endif /* _Skybox_H__ */
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.h	(revision 673)
@@ -123,3 +123,3 @@
 }
 
-#endif
+#endif /* _SpaceShip_H__ */
Index: code/branches/FICN/src/orxonox/objects/Tickable.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Tickable.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Tickable.h	(revision 673)
@@ -81,3 +81,3 @@
 }
 
-#endif
+#endif /* _Tickable_H__ */
Index: code/branches/FICN/src/orxonox/objects/Timer.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Timer.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/Timer.h	(revision 673)
@@ -192,3 +192,3 @@
 }
 
-#endif
+#endif /* _Timer_H__ */
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 673)
@@ -146,3 +146,3 @@
 }
 
-#endif
+#endif /* _WorldEntity_H__ */
Index: code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h	(revision 673)
@@ -27,6 +27,6 @@
 
 
-#ifndef AmmunitionDump_H
-#define AmmunitionDump_H
+#ifndef _AmmunitionDump_H__
+#define _AmmunitionDump_H__
 
 #include <OgrePrerequisites.h>
@@ -66,3 +66,3 @@
 }
 
-#endif /* AmmunitionDump_H */
+#endif /* _AmmunitionDump_H__ */
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.h	(revision 673)
@@ -27,6 +27,6 @@
 
 
-#ifndef BARREL_GUN_H
-#define BARREL_GUN_H
+#ifndef _BarrelGun_H__
+#define _BarrelGun_H__
 
 #include <OgrePrerequisites.h>
@@ -62,3 +62,3 @@
 }
 
-#endif /* BARREL_GUN_H */
+#endif /* _BarrelGun_H__ */
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.h	(revision 673)
@@ -27,6 +27,6 @@
 
 
-#ifndef BASE_WEAPON_H
-#define BASE_WEAPON_H
+#ifndef _BaseWeapon_H__
+#define _BaseWeapon_H__
 
 #include <OgrePrerequisites.h>
@@ -124,3 +124,3 @@
 }
 
-#endif /* BASE_WEAPON_H */
+#endif /* _BaseWeapon_H__ */
Index: code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.h	(revision 673)
@@ -27,6 +27,6 @@
 
 
-#ifndef BULLET_H
-#define BULLET_H
+#ifndef _Bullet_H__
+#define _Bullet_H__
 
 #include <OgrePrerequisites.h>
@@ -49,3 +49,3 @@
 }
 
-#endif /* BULLET_H */
+#endif /* _Bullet_H__ */
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 673)
@@ -27,6 +27,6 @@
 
 
-#ifndef BULLET_MANAGER_H
-#define BULLET_MANAGER_H
+#ifndef _BulletManager_H__
+#define _BulletManager_H__
 
 #include <OgrePrerequisites.h>
@@ -67,3 +67,3 @@
 }
 
-#endif /* BULLET_MANAGER_H */
+#endif /* _BulletManager_H__ */
Index: code/branches/FICN/src/orxonox/objects/weapon_system/WeaponStation.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/WeaponStation.h	(revision 672)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/WeaponStation.h	(revision 673)
@@ -27,6 +27,6 @@
 
 
-#ifndef WEAPON_STATION_H
-#define WEAPON_STATION_H
+#ifndef _WeaponStation_H__
+#define _WeaponStation_H__
 
 #include <OgrePrerequisites.h>
@@ -63,3 +63,3 @@
 }
 
-#endif /* WEAPON_STATION_H */
+#endif /* _WeaponStation_H__ */
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.h
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 672)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 673)
@@ -1,4 +1,4 @@
-#ifndef MODULE_ParticleInterface_H
-#define MODULE_ParticleInterface_H
+#ifndef _ParticleInterface_H__
+#define _ParticleInterface_H__
 
 // #include "ParticleInterface.h"
@@ -64,3 +64,3 @@
 
 }
-#endif
+#endif /* _ParticleInterface_H__ */
